<bugID>464792<Summary>Exit Private Browsing mode when all windows are closed</Summary><Description>Spinoff from bug 411929 comment 61:

We need to exit the private browsing mode as soon as the last browser window has been closed.  Otherwise we run the risk of "leaking" the information that the user has been browsing inside the private browsing mode to possible people from whom the whole thing was meant to be kept secret.

Patch forthcoming.</Description></bugID>